## xchat 0.2.1

=== Makefile ===
CC      = gcc
PROF    = -O
C_FLAGS =  -Wall $(PROF) -DDEBUG `gtk-config --cflags`
L_FLAGS =  $(PROF)
L_POSTFLAGS = `gtk-config --libs`
PROGNAME = xchat

O_FILES = xchat.o draw.o menu.o rawlog.o outbound.o inbound.o dcc.o server.o dialog.o serverlist.o maingui.o userlist.o config.o urlgrab.o util.o chanlist.o settings.o

$(PROGNAME): $(O_FILES)
	rm -f $(PROGNAME)
	$(CC) $(L_FLAGS) -o $(PROGNAME) $(O_FILES) $(L_POSTFLAGS)
	strip $(PROGNAME)
	ls -l $(PROGNAME)

.c.o: 
	$(CC) -c $(C_FLAGS) $<

clean: 
	rm -f core *.o $(PROGNAME) nohup.out

distclean: clean 
	rm -f *~

## xchat 1.4.3

=== plugins/sample/Makefile ===
LDFLAGS = -ggdb
CFLAGS = -Wall
CC = gcc

sample.so:	sample.c
	$(CC) $(LDFLAGS) $(CFLAGS) -I../../ -DSKIPCONFIG -shared -Wl,-soname,sample.so -o $@ $< -lc `gtk-config --cflags`

## xchat 2.8.4-chinook0mg3

=== debian/changelog ===
xchat (2.8.4-chinook0mg3) intrepid; urgency=low

  * Also build for chinook.

 -- Marius Gedminas <marius@gedmin.as>  Tue, 01 Jul 2008 16:15:13 +0300

xchat (2.8.4-diablo0mg2) intrepid; urgency=low

  * Add missing build-depends for the autobuilder.

 -- Marius Gedminas <marius@gedmin.as>  Tue, 01 Jul 2008 16:15:13 +0300

xchat (2.8.4-diablo0mg1) unstable; urgency=low

  * Rebuilt for Diablo.

 -- Marius Gedminas <marius@gedmin.as>  Mon, 30 Jun 2008 16:11:49 +0200

xchat (2.8.4-chinook1) unstable; urgency=low

  * Initial release

 -- Alberto Garcia Hierro <skyhusker@rm-fr.net>  Fri, 19 Oct 2007 14:49:01 +0200

=== debian/control ===
Source: xchat
Section: user/communication
Priority: extra
Maintainer: Marius Gedminas <marius@gedmin.as>
Original-Maintainer: Alberto García Hierro <skyhusker@rm-fr.net>
Build-Depends: debhelper (>= 5), libssl-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libconic0-dev
Standards-Version: 3.7.2

Package: xchat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IRC client, Maemo flavour.
 XChat is a graphical IRC Client with a GTK+ GUI. It has a look and feel
 similar to AmIRC for the Amiga. Special features include the mIRC extension
 DCC RESUME and mIRC color, multiple server/channel windows, dialog
 windows, and a plugin API.

Package: xchat-locale-be
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: be locale for XChat

Package: xchat-locale-ca
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: ca locale for XChat

Package: xchat-locale-cs
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: cs locale for XChat

Package: xchat-locale-de
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: de locale for XChat

Package: xchat-locale-el
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: el locale for XChat

Package: xchat-locale-es
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: es locale for XChat

Package: xchat-locale-fi
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: fi locale for XChat

Package: xchat-locale-fr
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: fr locale for XChat

Package: xchat-locale-gl
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: gl locale for XChat

Package: xchat-locale-hu
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: hu locale for XChat

Package: xchat-locale-it
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: it locale for XChat

Package: xchat-locale-ja
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: ja locale for XChat

Package: xchat-locale-ko
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: ko locale for XChat

Package: xchat-locale-lt
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: lt locale for XChat

Package: xchat-locale-mk
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: mk locale for XChat

Package: xchat-locale-nl
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: nl locale for XChat

Package: xchat-locale-pa
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: pa locale for XChat

Package: xchat-locale-pt
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: pt locale for XChat

Package: xchat-locale-ru
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: ru locale for XChat

Package: xchat-locale-sq
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: sq locale for XChat

Package: xchat-locale-sr
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: sr locale for XChat

Package: xchat-locale-sv
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: sv locale for XChat

Package: xchat-locale-uk
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: uk locale for XChat

Package: xchat-locale-vi
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: vi locale for XChat

Package: xchat-locale-zh-cn
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: zh_CN locale for XChat

Package: xchat-locale-zh-tw
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: zh_TW locale for XChat

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

configure:
	./autogen.sh

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" \
		LDFLAGS="-Wl,-z,defs" \
		--enable-maemo \
		--enable-ipv6 \
		--disable-perl \
		--disable-python \
		--disable-tcl \
		--enable-plugin \
		--enable-openssl


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/xchat.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	dh_install --sourcedir=debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xchat 2.8.4-diablo0mg2

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Marius Gedminas <marius@gedmin.as>
 Original-Maintainer: Alberto García Hierro <skyhusker@rm-fr.net>
-Build-Depends: debhelper (>= 5), libssl-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libconic0-dev
+Build-Depends: debhelper (>= 5), libssl-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libconic0-dev, libdbus-1-dev, libdbus-glib-1-dev
 Standards-Version: 3.7.2
 
 Package: xchat

## xchat 2.8.6-maemo1

=== debian/changelog ===
xchat (2.8.6-maemo1) unstable; urgency=low

  * New upstream release.
  * Add more close buttons
  * Changed section to reflect new package categories policy
  * Build-Depends changed to libssl0.9.8
  * Added XB-Maemo Display-Name & Icon
  * XB-Maemo-Display-Name for locales to neaten up appearance a bit
  * Changed from -Os to -O2
  * Default font "Nokia Sans 12" rather than Monospace
  * DCC Downloads default folder is /home/user/MyDocs/DCC Downloads
  * Rpath, MMX disabled
  * DBUS enabled
  * Added postinst to run maemo-select-menu-location if new install
  * Added straight mkinstalldirs script as symlink is broken
  * Enabled python plugin
  * Removed LDFLAGS as they interfere with python plugin compilation
  * Added backup configuration so settings are saved

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 26 Dec 2008 17:47:15 +0000

=== debian/control ===
Source: xchat
Section: user/network
Priority: extra
Maintainer: Faheem Pervez <trippin1@gmail.com>
XSBC-Original-Maintainer: Marius Gedminas <marius@gedmin.as>, Alberto García Hierro <skyhusker@rm-fr.net>
Build-Depends: debhelper (>= 5), libssl-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libconic0-dev, libdbus-1-dev, libdbus-glib-1-dev, python2.5-dev, python2.5, libgtk2.0-dev, autotools-dev
Standards-Version: 3.7.2

Package: xchat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-select-menu-location
Suggests: python2.5
Description: IRC client, Maemo flavour.
 XChat is a graphical IRC Client with a GTK+ GUI. It has a look and feel
 similar to AmIRC for the Amiga. Special features include the mIRC extension
 DCC RESUME and mIRC color, multiple server/channel windows, dialog
 windows, and a plugin API.
XB-Maemo-Display-Name: XChat
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dE
 AP8A/wD/oL2nkwAAAAlwSFlzAAALEQAACxEBf2RfkQAAAAd0SU1FB9gMGhElNWtJs5sAAAVh
 SURBVEjHvZZrbFRVEIC/uQ+6NX1QShWo1AJFDPiIgsYoWhSkyLNojSKi9YFBRYMQifGHxlc0
 FjAosT6IRA2IRnyVgPEFgiBaUQOLgg3YYu2Wbau07HbbvXvP+GO3UmpBiYmTnNzk3Jn5zpwz
 M+fA/yR2L3NpwAPACOD7k/R3OvAQ8DsQOpFiGlAx6UrbZGfZrcAdJwEpADatXmYrEBRh9Akh
 pVdbvrZi4nWimRlWK3Dbv4AMBj6vfNhRDWK2v2EpsKs3WB+gonSi5WszxhxAdT8m8bOY7EwJ
 A9efADIQqHpkrq26E2O+Qc3X6ObKFIxjYU9OvcL29SDG/IjqHlSDqNmFRqsdc0rAOh4sD6ha
 NMtV/QqjW1D9AtXNqNmEbn/eUttiNzDMShkUzigWi9+BDiCWHBKDdD8hB94lD2QZMLMbJBNY
 vqDMnrpknqdEkB62evYgcGxrAHBqV9ZtqdpsRorvjhh3nlHiCB6QAPEgw1WdM8HJeu49Uwz8
 khorF8zsM+vZOxNoDJEEdNmoB5GILbmzaY4nzAJgQxeoHfh883fmrKYme8SUi/QYGHGkX7rR
 skuszMoNOgYYfPsE5/YX5nqinSBJHfCSkObDDvl3mqZOT+8D3uxZR1Hgs+p9WlDX4J5depFR
 7USkG+zUTNWp5zv9Qq3uxWvv8UTjyYjx/opGaxtdGbrQ/7XT03nAui7n0ssB5wIr5hQ7N7x+
 dwJNgBhAUwPAAo2n5gGSXw3+Zss5j/kNwF3Ah92dynFSti/w6OyxfeavnBW30twkRLQb0HT7
 CrrzoC1jlvg1wCKgSlUROereOg7oMLBw9ZfxFQcm1nPQKoZ28KPgR8BEk9npR8G0w9Yf6YLM
 BaoARIS9e/fGuhgCUFNTsyEnJ+fq7qTW1tYvhw0bNqOlpaWl5yo663aQ+dYUOu6vx+5zyjH/
 IpHITwUFBSPD4XC767qBRCIRz8vLCwDQ1tbWoKpaWFi4oaioaGNRUdFH+fn564BFsVhMVz3z
 gJaPHag3XzJAfVWNRtt13y1ou2f0nZee1qvOHaQDB+U3jx8//lvP8xToHwqFNhljtLCwcCNw
 owPguq4C1NbWPgbsSC3uFuC5QCBA5FA9q64MYdqSR+K6DnSA6wjR5hAfT2rQpTvcnEe+ObIb
 oLy8vDwjI+OQiFBbW/s2sMYBsG3bAdi2bduDw4cPbwiHwzkvV66YfN+RF7MMqG1ZQgS8SLIp
 iuuiseTmX1hyHR3hwTK/4CtaOj8dZ9m21tfXjw0EAh0AVVVVs6dNm7bKAWhsbKwIBoMLgTFb
 t27NONIeyx6dn8FpNbBr/WsS2rMTCiDNoKuXPynB0BG910GC763UsAlISAZSU5stTxS1s+39
 NbIruOfM6urqp9ra2i6Px+MjgfKe6X2pa/F6w03O0P6BBHSmStoAPlqx15XF1d564IM01156
 uFSzArZRDIImu4JY6OTttmxs9F9M1dPf6qgEpHL/THvIkPTEX0WqBgR0cdCWip/89cCtQDMw
 F8ta0lpCVpYchaWKWid+58gnzYlngcWp3gLABUDdDyWO6jUYnYlqKarTUZ2OmX2Gq8AaoH+P
 HZhjW1bTH1c4asahejmql6FmLKqXohNyXQUe716wjogETlcfjSHEQGNAJzrla1tW13lrgXtS
 kXSXN3xj7h2wxW86FLXRjqPXCx1okeMDpNOjF5X1daXx0GWipji5ukl5tgKvAP3+4Sovc0Rq
 aka5qqMwOgozL9dS4FUg+2/aAtf2daTxt9GWTsl1FFiWekv8G5kAcmD3EFvn97O7IDnH1RYo
 A/YDSwHnJJ9bJcA+4KVeI+lF0v/DW7FX2z8BaeqJXXNVwlMAAAAASUVORK5CYII=

Package: xchat-locale-be
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: be locale for XChat
XB-Maemo-Display-Name: XChat Belarusian Locale

Package: xchat-locale-ca
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: ca locale for XChat
XB-Maemo-Display-Name: XChat Catalan Locale

Package: xchat-locale-cs
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: cs locale for XChat
XB-Maemo-Display-Name: XChat Czech Locale

Package: xchat-locale-de
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: de locale for XChat
XB-Maemo-Display-Name: XChat German Locale

Package: xchat-locale-el
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: el locale for XChat
XB-Maemo-Display-Name: XChat Greek Locale

Package: xchat-locale-es
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: es locale for XChat
XB-Maemo-Display-Name: XChat Spanish Locale

Package: xchat-locale-fi
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: fi locale for XChat
XB-Maemo-Display-Name: XChat Finnish Locale

Package: xchat-locale-fr
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: fr locale for XChat
XB-Maemo-Display-Name: XChat French Locale

Package: xchat-locale-gl
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: gl locale for XChat
XB-Maemo-Display-Name: XChat Galego Locale

Package: xchat-locale-hu
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: hu locale for XChat
XB-Maemo-Display-Name: XChat Hungarian Locale

Package: xchat-locale-it
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: it locale for XChat
XB-Maemo-Display-Name: XChat Italian Locale

Package: xchat-locale-ja
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: ja locale for XChat
XB-Maemo-Display-Name: XChat Japanese Locale

Package: xchat-locale-ko
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: ko locale for XChat
XB-Maemo-Display-Name: XChat Korean Locale

Package: xchat-locale-lt
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: lt locale for XChat
XB-Maemo-Display-Name: XChat Lithuanian Locale

Package: xchat-locale-mk
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: mk locale for XChat
XB-Maemo-Display-Name: XChat Macedonian Locale

Package: xchat-locale-nl
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: nl locale for XChat
XB-Maemo-Display-Name: XChat Dutch Locale

Package: xchat-locale-pa
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: pa locale for XChat
XB-Maemo-Display-Name: XChat Punjabi Locale

Package: xchat-locale-pt
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: pt locale for XChat
XB-Maemo-Display-Name: XChat Portuguese Locale

Package: xchat-locale-ru
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: ru locale for XChat
XB-Maemo-Display-Name: XChat Russian Locale

Package: xchat-locale-sq
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: sq locale for XChat
XB-Maemo-Display-Name: XChat Albanian Locale

Package: xchat-locale-sr
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: sr locale for XChat
XB-Maemo-Display-Name: XChat Serbian Locale

Package: xchat-locale-sv
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: sv locale for XChat
XB-Maemo-Display-Name: XChat Swedish Locale

Package: xchat-locale-uk
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: uk locale for XChat
XB-Maemo-Display-Name: XChat Ukrainian Locale

Package: xchat-locale-vi
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: vi locale for XChat
XB-Maemo-Display-Name: XChat Vietnamese Locale

Package: xchat-locale-zh-cn
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: zh_CN locale for XChat
XB-Maemo-Display-Name: XChat Chinese (simplified) Locale

Package: xchat-locale-zh-tw
Architecture: any
Depends: xchat (=  ${Source-Version})
Description: zh_TW locale for XChat
XB-Maemo-Display-Name: XChat Chinese (Taiwan) Locale

## xchat 2.8.6-maemo2

=== debian/changelog ===
xchat (2.8.6-maemo2) unstable; urgency=low

  * Added fixes from debian:
  * 10_fix_unchecked_mallocs
  * 20_url_pattern
  * 41_casecomp
  * 45_save_ignore

 -- Faheem Pervez <trippin1@gmail.com>  Sat, 27 Dec 2008 10:06:59 +0000

## xchat 2.8.6-maemo3

=== debian/changelog ===
xchat (2.8.6-maemo3) unstable; urgency=low

  * Added in 46_CVE-2009-0315.dpatch from debian upstream (patch by Nico
    Golde)
  * Consolidate all X-Chat locale packages into one.
  * Added in patch to connect to a network on pressing Enter by "Fish-Face"

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 27 Feb 2009 15:48:29 +0000

## xchat 2.8.6-maemo4

=== debian/changelog ===
xchat (2.8.6-maemo4) unstable; urgency=low

  * Make tapping system tray icon popup context menu
  * Make network information in title appear on second line of taskswitcher 

 -- Faheem Pervez <trippin1@gmail.com>  Sun,  8 Mar 2009 19:16:32 +0000

## xchat 2.8.6-maemo5

=== debian/changelog ===
xchat (2.8.6-maemo5) unstable; urgency=low

  * Remove "XChat:" from windows
  * Make all menu icons disappear
  * Make "Open Folder" open default file manager

 -- Faheem Pervez <trippin1@gmail.com>  Mon,  9 Mar 2009 07:56:35 +0000

## xchat 2.8.6-maemo6

=== debian/changelog ===
xchat (2.8.6-maemo6) unstable; urgency=low

  * Remove arch info from CTCP VERSION. We run an old kernel, we don't know
    people to know that and hack us. :)
  * Apply patches from Ubuntu:
    60_gtktype_removal
    43_french
  * Stop "XChat" title from being set twice upon startup

 -- Faheem Pervez <trippin1@gmail.com>  Sun, 15 Mar 2009 11:37:02 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,14 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+CFLAGS = -Wall -g
 
-CFLAGS = -Wall -g
+export pythonpath=/usr/bin/python2.5
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -Os
+	CFLAGS += -O2
 endif
 
 configure:
@@ -33,13 +34,16 @@
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" \
-		LDFLAGS="-Wl,-z,defs" \
+		pythonpath="$(pythonpath)" \
 		--enable-maemo \
 		--enable-ipv6 \
 		--disable-perl \
-		--disable-python \
+		--enable-python \
 		--disable-tcl \
 		--enable-plugin \
+		--disable-rpath \
+		--disable-mmx \
+		--enable-dbus \
 		--enable-openssl
 
 
@@ -78,8 +82,13 @@
 
 	# Add here commands to install the package into debian/xchat.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+
+	# Install osso-backup file
+	install -d $(CURDIR)/debian/tmp/etc/osso-backup/applications/
+	install -m644 $(CURDIR)/maemo/xchat.conf \
+		$(CURDIR)/debian/tmp/etc/osso-backup/applications/xchat.conf
+
 	dh_install --sourcedir=debian/tmp
-
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -111,7 +120,7 @@
 #	dh_perl
 #	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+	dh_shlibdeps --exclude=python
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## xchat 2.8.6-maemo7

=== debian/changelog ===
xchat (2.8.6-maemo7) unstable; urgency=low

  * Add function to keep backlight on. One way only yet, sorry. 

 -- Faheem Pervez <trippin1@gmail.com>  Sun, 29 Mar 2009 16:56:32 +0100

## xchat 2.8.6-maemo8

=== debian/changelog ===
xchat (2.8.6-maemo8) unstable; urgency=low

  * Fix VKB not showing up on "Join Connection" window.

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 12 Jun 2009 12:03:03 +0100

=== debian/control ===
Source: xchat
Section: user/network
Priority: extra
Maintainer: Faheem Pervez <trippin1@gmail.com>
XSBC-Original-Maintainer: Marius Gedminas <marius@gedmin.as>, Alberto García Hierro <skyhusker@rm-fr.net>
Build-Depends: debhelper (>= 5), libssl-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libconic0-dev, libdbus-1-dev, libdbus-glib-1-dev, python2.5-dev, python2.5, libgtk2.0-dev, autotools-dev
Standards-Version: 3.7.2

Package: xchat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-select-menu-location
Suggests: python2.5
Description: IRC client, Maemo flavour.
 XChat is a graphical IRC Client with a GTK+ GUI. It has a look and feel
 similar to AmIRC for the Amiga. Special features include the mIRC extension
 DCC RESUME and mIRC color, multiple server/channel windows, dialog
 windows, and a plugin API.
XB-Maemo-Display-Name: XChat
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dE
 AP8A/wD/oL2nkwAAAAlwSFlzAAALEQAACxEBf2RfkQAAAAd0SU1FB9gMGhElNWtJs5sAAAVh
 SURBVEjHvZZrbFRVEIC/uQ+6NX1QShWo1AJFDPiIgsYoWhSkyLNojSKi9YFBRYMQifGHxlc0
 FjAosT6IRA2IRnyVgPEFgiBaUQOLgg3YYu2Wbau07HbbvXvP+GO3UmpBiYmTnNzk3Jn5zpwz
 M+fA/yR2L3NpwAPACOD7k/R3OvAQ8DsQOpFiGlAx6UrbZGfZrcAdJwEpADatXmYrEBRh9Akh
 pVdbvrZi4nWimRlWK3Dbv4AMBj6vfNhRDWK2v2EpsKs3WB+gonSi5WszxhxAdT8m8bOY7EwJ
 A9efADIQqHpkrq26E2O+Qc3X6ObKFIxjYU9OvcL29SDG/IjqHlSDqNmFRqsdc0rAOh4sD6ha
 NMtV/QqjW1D9AtXNqNmEbn/eUttiNzDMShkUzigWi9+BDiCWHBKDdD8hB94lD2QZMLMbJBNY
 vqDMnrpknqdEkB62evYgcGxrAHBqV9ZtqdpsRorvjhh3nlHiCB6QAPEgw1WdM8HJeu49Uwz8
 khorF8zsM+vZOxNoDJEEdNmoB5GILbmzaY4nzAJgQxeoHfh883fmrKYme8SUi/QYGHGkX7rR
 skuszMoNOgYYfPsE5/YX5nqinSBJHfCSkObDDvl3mqZOT+8D3uxZR1Hgs+p9WlDX4J5depFR
 7USkG+zUTNWp5zv9Qq3uxWvv8UTjyYjx/opGaxtdGbrQ/7XT03nAui7n0ssB5wIr5hQ7N7x+
 dwJNgBhAUwPAAo2n5gGSXw3+Zss5j/kNwF3Ah92dynFSti/w6OyxfeavnBW30twkRLQb0HT7
 CrrzoC1jlvg1wCKgSlUROereOg7oMLBw9ZfxFQcm1nPQKoZ28KPgR8BEk9npR8G0w9Yf6YLM
 BaoARIS9e/fGuhgCUFNTsyEnJ+fq7qTW1tYvhw0bNqOlpaWl5yo663aQ+dYUOu6vx+5zyjH/
 IpHITwUFBSPD4XC767qBRCIRz8vLCwDQ1tbWoKpaWFi4oaioaGNRUdFH+fn564BFsVhMVz3z
 gJaPHag3XzJAfVWNRtt13y1ou2f0nZee1qvOHaQDB+U3jx8//lvP8xToHwqFNhljtLCwcCNw
 owPguq4C1NbWPgbsSC3uFuC5QCBA5FA9q64MYdqSR+K6DnSA6wjR5hAfT2rQpTvcnEe+ObIb
 oLy8vDwjI+OQiFBbW/s2sMYBsG3bAdi2bduDw4cPbwiHwzkvV66YfN+RF7MMqG1ZQgS8SLIp
 iuuiseTmX1hyHR3hwTK/4CtaOj8dZ9m21tfXjw0EAh0AVVVVs6dNm7bKAWhsbKwIBoMLgTFb
 t27NONIeyx6dn8FpNbBr/WsS2rMTCiDNoKuXPynB0BG910GC763UsAlISAZSU5stTxS1s+39
 NbIruOfM6urqp9ra2i6Px+MjgfKe6X2pa/F6w03O0P6BBHSmStoAPlqx15XF1d564IM01156
 uFSzArZRDIImu4JY6OTttmxs9F9M1dPf6qgEpHL/THvIkPTEX0WqBgR0cdCWip/89cCtQDMw
 F8ta0lpCVpYchaWKWid+58gnzYlngcWp3gLABUDdDyWO6jUYnYlqKarTUZ2OmX2Gq8AaoH+P
 HZhjW1bTH1c4asahejmql6FmLKqXohNyXQUe716wjogETlcfjSHEQGNAJzrla1tW13lrgXtS
 kXSXN3xj7h2wxW86FLXRjqPXCx1okeMDpNOjF5X1daXx0GWipji5ukl5tgKvAP3+4Sovc0Rq
 aka5qqMwOgozL9dS4FUg+2/aAtf2daTxt9GWTsl1FFiWekv8G5kAcmD3EFvn97O7IDnH1RYo
 A/YDSwHnJJ9bJcA+4KVeI+lF0v/DW7FX2z8BaeqJXXNVwlMAAAAASUVORK5CYII=

Package: xchat-locale-extra
Architecture: any
Depends: xchat (=  ${Source-Version})
Provides: xchat-locale-be, xchat-locale-ca, xchat-locale-cs, xchat-locale-de, xchat-locale-el, xchat-locale-es, xchat-locale-fi, xchat-locale-fr, xchat-locale-gl, xchat-locale-hu, xchat-locale-it, xchat-locale-ja, xchat-locale-ko, xchat-locale-lt, xchat-locale-mk, xchat-locale-nl, xchat-locale-pa, xchat-locale-pt, xchat-locale-ru, xchat-locale-sq, xchat-locale-sr, xchat-locale-sv, xchat-locale-uk, xchat-locale-vi, xchat-locale-zh-cn, xchat-locale-zh-tw
Replaces: xchat-locale-be, xchat-locale-ca, xchat-locale-cs, xchat-locale-de, xchat-locale-el, xchat-locale-es, xchat-locale-fi, xchat-locale-fr, xchat-locale-gl, xchat-locale-hu, xchat-locale-it, xchat-locale-ja, xchat-locale-ko, xchat-locale-lt, xchat-locale-mk, xchat-locale-nl, xchat-locale-pa, xchat-locale-pt, xchat-locale-ru, xchat-locale-sq, xchat-locale-sr, xchat-locale-sv, xchat-locale-uk, xchat-locale-vi, xchat-locale-zh-cn, xchat-locale-zh-tw
Description: More locales for XChat
 Installs the Belarusian, Catalan, Czech, German, Greek, Spanish
 Finnish, French, Galego, Hungarian, Italian, Japanese, Korean
 Lithuanian, Macedonian, Dutch, Punjabi, Portuguese, Russian
 Albanian, Serbian, Swedish, Ukrainian, Vietnamese,
 Chinese (Simplified) and Chinese (Taiwan) locales.
XB-Maemo-Display-Name: XChat Extra Locales

## xchat 2.8.6-maemo9

=== debian/changelog ===
xchat (2.8.6-maemo9) unstable; urgency=low

  * "Keep Backlight On" option actually allows you to restore the normal backlight state. Genius!
  * Added toggable "Use Thumb Scrollbars" option.

 -- Faheem Pervez <trippin1@gmail.com>  Sat, 27 Jun 2009 17:22:07 +0100

## xchat 2.8.6-maemo10

=== debian/changelog ===
xchat (2.8.6-maemo10) unstable; urgency=low

  * Maemo launcher support added
  * Sound feature works w/out external tools
  * "Keep backlight on" changes label to show it's on
  * Tap and hold added to channel tabs.

 -- Faheem Pervez <trippin1@gmail.com>  Wed, 12 Aug 2009 03:28:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Faheem Pervez <trippin1@gmail.com>
 XSBC-Original-Maintainer: Marius Gedminas <marius@gedmin.as>, Alberto García Hierro <skyhusker@rm-fr.net>
-Build-Depends: debhelper (>= 5), libssl-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libconic0-dev, libdbus-1-dev, libdbus-glib-1-dev, python2.5-dev, python2.5, libgtk2.0-dev, autotools-dev
+Build-Depends: debhelper (>= 5), libssl-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libconic0-dev, libdbus-1-dev, libdbus-glib-1-dev, python2.5-dev, python2.5, libgtk2.0-dev, autotools-dev, maemo-launcher-dev (>= 0.23-1)
 Standards-Version: 3.7.2
 
 Package: xchat
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-select-menu-location
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, maemo-select-menu-location
 Suggests: python2.5
 Description: IRC client, Maemo flavour.
  XChat is a graphical IRC Client with a GTK+ GUI. It has a look and feel

=== debian/rules ===
--- 
+++ 
@@ -102,6 +102,7 @@
 #	dh_installdocs
 #	dh_installexamples
 #	dh_install
+	dh_maemolauncher
 #	dh_installmenu
 #	dh_installdebconf
 #	dh_installlogrotate

## xchat 2.8.6-maemo10fremantle1

=== debian/changelog ===
xchat (2.8.6-maemo10fremantle1) unstable; urgency=low

  * Rebuild for fremantle.
  * Remove maemo-select-menu-location.

 -- Marius Gedminas <marius@gedmin.as>  Sat, 10 Oct 2009 08:43:40 +0200

## xchat 2.8.6-maemo11

=== debian/changelog ===
xchat (2.8.6-maemo11) unstable; urgency=low

  * UI changes. Still more to come.

 -- Faheem Pervez <trippin1@gmail.com>  Sun, 11 Oct 2009 11:08:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: xchat
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, maemo-select-menu-location
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
 Suggests: python2.5
 Description: IRC client, Maemo flavour.
  XChat is a graphical IRC Client with a GTK+ GUI. It has a look and feel

## xchat 2.8.6-maemo13

=== docs/german/Makefile ===
#
# makefile for generating xchat documentation pdf
#

all: xchat-german

xchat-german: xchat-german.tex Makefile
	pdflatex xchat-german.tex
	makeindex xchat-german.idx
	pdflatex xchat-german.tex
clean::
	rm -rf *.aux *.toc *.glo *.log *.ilg *.idx *.ind *.out

=== debian/changelog ===
xchat (2.8.6-maemo13) unstable; urgency=low

  * Source code release to autobuilder.

 -- Marat Fayzullin <marat@komkon.org>  Fri, 1 Jan 2010 11:08:22 +0100

xchat (2.8.6-maemo12) unstable; urgency=low

  * Removed Python scripting for now (package does not build with it).
  * Disabled libsexy spellchecker (config dialog crashes because of it).
  * Changed default download directory to ~user/MyDocs/Downloads.
  * Changed background to black, adjusted other colors accordingly.
  * Collapsed user list to save space.
  * Disabled nickname tabbing to save space.
  * Moved channel list to small tabs at the bottom.
  * Switched to a more condensed, easier readable font.

 -- Marat Fayzullin <marat@komkon.org>  Thu, 31 Dec 2009 11:08:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,10 @@
 		--enable-maemo \
 		--enable-ipv6 \
 		--disable-perl \
-		--enable-python \
+		--disable-python \
 		--disable-tcl \
 		--enable-plugin \
+		--enable-spell=none \
 		--disable-rpath \
 		--disable-mmx \
 		--enable-dbus \

## xchat 2.8.6-maemo14

=== debian/changelog ===
xchat (2.8.6-maemo14) stable; urgency=low

  * Package optified.
  * Added Shift+Space combination for nick completion.
  * Turned off lagometer by default (was causing 500ms wakeups).
  * Added a separate 1s timer for lagometer, when enabled.
  * Made DCC timeout check to run every minute (was every second).

 -- Marat Fayzullin <marat@komkon.org>  Sat, 2 Jan 2010 11:08:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: xchat
 Section: user/network
 Priority: extra
-Maintainer: Faheem Pervez <trippin1@gmail.com>
-XSBC-Original-Maintainer: Marius Gedminas <marius@gedmin.as>, Alberto García Hierro <skyhusker@rm-fr.net>
+Maintainer: Marat Fayzullin <marat@komkon.org>
+XSBC-Original-Maintainer: Faheem Pervez <trippin1@gmail.com>, Marius Gedminas <marius@gedmin.as>, Alberto García Hierro <skyhusker@rm-fr.net>
 Build-Depends: debhelper (>= 5), libssl-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libconic0-dev, libdbus-1-dev, libdbus-glib-1-dev, python2.5-dev, python2.5, libgtk2.0-dev, autotools-dev, maemo-launcher-dev (>= 0.23-1)
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,8 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
-		--prefix=/usr --mandir=\$${prefix}/share/man \
+		--prefix=/usr \
+		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" \
 		pythonpath="$(pythonpath)" \
 		--enable-maemo \
@@ -89,6 +90,11 @@
 	install -m644 $(CURDIR)/maemo/xchat.conf \
 		$(CURDIR)/debian/tmp/etc/osso-backup/applications/xchat.conf
 
+	# Move XChat binary to /opt/maemo	
+	install -D $(CURDIR)/debian/tmp/usr/bin/xchat $(CURDIR)/debian/tmp/opt/maemo/usr/bin/xchat
+	rm -f $(CURDIR)/debian/tmp/usr/bin/xchat
+	ln -s ../../opt/maemo/usr/bin/xchat $(CURDIR)/debian/tmp/usr/bin/xchat
+
 	dh_install --sourcedir=debian/tmp
 
 # Build architecture-independent files here.

## xchat 2.8.6-maemo15

=== debian/changelog ===
xchat (2.8.6-maemo15) stable; urgency=low

  * Added Christian Thaeter's Maemo notification plugin.
  * Made Application Manager icon bigger.

 -- Marat Fayzullin <marat@komkon.org>  Mon, 22 Feb 2010 11:08:22 +0300

=== debian/control ===
Source: xchat
Section: user/network
Priority: extra
Maintainer: Marat Fayzullin <marat@komkon.org>
XSBC-Original-Maintainer: Faheem Pervez <trippin1@gmail.com>, Marius Gedminas <marius@gedmin.as>, Alberto García Hierro <skyhusker@rm-fr.net>
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=38927
Build-Depends: debhelper (>= 5), libssl-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libconic0-dev, libdbus-1-dev, libdbus-glib-1-dev, python2.5-dev, python2.5, libgtk2.0-dev, autotools-dev, maemo-launcher-dev (>= 0.23-1), mce-dev
Standards-Version: 3.7.2

Package: xchat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
Suggests: python2.5
Description: IRC client, Maemo flavour.
 XChat is a graphical IRC Client with a GTK+ GUI. It has a look and feel
 similar to AmIRC for the Amiga. Special features include the mIRC extension
 DCC RESUME and mIRC color, multiple server/channel windows, dialog
 windows, and a plugin API.
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=38927
XB-Maemo-Display-Name: XChat IRC Client
XB-Description: An IRC client for Maemo.
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsRAAALEQF/ZF+RAAAAB3RJTUUH0gwUBy4iUoFk
 AAAAC9VJREFUeJzdmX9wlVV6xz/nfc/73vwigYSQhEBMyA+NBqnRbsFCUIKr
 7AZlxR+Is1TXGetux3ZsZzq2O7U7tX9sS8dO29VudWpZZ6q7EqQoruIWKT+i
 iEv4pbBCIBBIwg9DQn7fH+95+sd77+XmcpNcKP2jfWbO5L7vec5zvt/nec55
 z3kC/8fFTlOvACgCBAj+78EBIA8owcc2MplyOgTqgCeAJqAS6AT6rh3fhFIR
 nesB4CagBzg/0YDJCNQBjwKPZ2dZS8JhKQIs4AzXn0QFsBpYlZ1p3RuOSBl+
 xC8wCYnxpA54EWhrukdL1wEt825xDHAA+GF0wuslFVGbB+bVOqarRUvT3VqA
 tiiGuqs1OAb8aIcSOYucPaSltvq6k4iDr610zNmdWuQwMrpfSdNd10ZiLPiT
 SqQTkTN+O71Hy5wbdIzE8/gL7lqlJGrjwJzZ2pz+Ty1yEJEDiOxHRvcoaWq4
 OhKXwTdqGW1TIqcQORlt7YicQE5st2V2iWWAFuCPgeJrAF8cHdsyu8gyJzbb
 Iq2I7EXk19H2OTLaoqRp4fgkEhdxbME+1rREVza/4hGwBTzA4P+Ntmk5wrIG
 rTZssUoHh00uoIF2YPAqwK8GVhYX6PlbX7Gs6tLI5TkS5tPAyruE/cd0/tHT
 ppSkhR0jUAU8DjzWdLeubP6n8cHHnqfnGpYucFTzR6p0ZDRO4gQwNAn4ouhc
 Kwvy9PyP/sG26spDKcHHnjWwcpGwv03nHz0TJ3EauBgjsBD47r0L9byN/5gA
 PtlgkvHiaR4N9Vq9/StKQ2HJjmocA0bHAT8VP8oPTcm27/xgrW3dUR1K6aCU
 kVgofH5U5x/vMho4CnxlRQ1HgIEjx8WcOq0hjN8ipP6d8Dz/xhCb1iorM8O6
 E7gfWBUFmgr8KuD+zIB156a/Vtb8mlBKm+PNd6pbc6RDDDAQ1YinUB+Qc2lQ
 ct/ZapXe+ztazcjz0vIMHlQUGeprXKt5u5R7ngTwHdaWEIkY+BUB12p850eO
 vmdeeEKbyX1fnHJZ+kMxZ772dgObgQ+A4RiBYfxFqAeGTO6Graq0sV6rkqne
 pOBjz9UlHjeXB6yNu0y5MRKIOuc3gIu/YL/jaKvxreddff8dwasC33rc5Zt/
 aczZ3shuYAPwJkmLGPwdpB3QQyMmd/3HlC6+1VazCkx6E3lQOyvCnBLX2vSp
 KRchGA1zDdBkW+pb655z9aMLgpMCTuzbfVRz74vG9PR7ieDPxkAnn4XiJEaD
 MuXtbZQuqHWs8unpR+LW2R4lBY71/udSLlECllIP/PT7OuOJhtBVgf+vIy7f
 +rHnXRo2u4F3ksGnIpBIglBYdPN2uaG+MmBVFUXSm9jA7eWGvJxM96P9kRql
 uOWlJzOz/qAxOOm4RPsfHspgxUvhyOCo+Rj4D+DnyeDHIxAj8RWgwxEJbNhl
 ym8pC1i1xZG0IzF/TgTtZDlL6hznT+8bSXscHmzcl8EjPwlFRoJmaxT8vwNf
 pwKqxiEQk/ju4Wircd2zWq9eEPI/IxLVEFI/X2Pfm3tdnng9EglH4uB/zgRH
 98nuA6P426E2RgKb9pjyWfmuddus9NfE1fS9/qnL99aFIxFP0gKfDoFEErYI
 Q5tbzZyCKRnuN8pSn12uFfxPdmXwg7dCQ0ZkI/Ah8IvJwKdLIEbiMBAWwfvw
 gFft6gy3drqHeP5GHwdzDWTWbs/gT94JDolIM7ARf7scczB0HCfbtm3XGBNO
 fK/TJAD+BXszgIjoyod/trqvvl5dPL+XmZ+uIseNal1l3v/VNpcfbRkdEqEZ
 eDc6RygJfE5ra+sOgPr6+oZwOBwnFydg23a2ZVlZSqkrFraIAIgxZtjzvM1K
 qZyFCxc+DkD5In72SgGP3NiDJIFTQJaGbMd/HgrBcAhfD8XaFs3fbQ+NAL9U
 Su20bfszIE9Ehj3PGwKwLCtnxYoVtxYWFt4GUFFR8VxbW9vfG2MGfStRpba2
 th25ubm3TRSCgYGBfZWVlYuUUlPPnz9/ZiLdmARP7WbKxm/747/zPhnlCyYd
 MzAwsK+ioqIBkPb29p3JuPr7+/dVVFQsMsYMaQClVNb06dMnBA/Q3d1dZoxZ
 o5RqdRxnQt1YIN3qBv7t17DqZphS3TApeID8/PzbjDFPWpb1um3bWuuxmd7V
 1VVmjFkD/LMGP0USlaqrqzd3dnb2p7AdAYpFZHmi/jNLZhMZ7Ik/6+wCfrrt
 dPz52AWQCGPm+P3Fsxi+dJGPO+DiiPQDJ0tKSnpPnDixGGDq1Kl1fX19wy+8
 8MLvvfzyy62xcVVVVZs7OzsvkrhOlFIzgsGgxBrwL6Re4LEKwsFE/ad/Cwk/
 j8ifI/JnyLlnkcT+Z+uRcz8Y++7puUj4j5Czz9hy0/R4pePHwWBQQqGQHDly
 pAPIUUrNCIVCEmvJ2Kz4D8uKN4ifJJPBrwYeKc3TdYn6AQu0YczlY4w9c+W7
 gALtQZH22LIcVTHNmQussCwLpRRVVVWzge+JCEqpeEvGZoGfQolKZWVlecCM
 hFYDPAk8Wpqr5769XKkxRhPBRwlc0Z/0zs4u4Hw/XOiHAsJsWYYqnaJrkhxZ
 lezcKLaceLompFHc1e3t7WuANcn507JrJ5mvLqUsKzxGP04gtoVGSNmf4EVe
 arkQ7x74Ygcz//Yumhfbybu4k4zt5MmTa3p7e+cWFBQsAoZiKTR86dKlfYke
 StWmBeDzMxGygMEjO1FKcXjPTt8LCffYLIH+L3ehlKJl1048T/ljvtyZ7BMA
 OgbhjaNQl+UxcGgHAJ988kkYmAM4vb29+8bod3SUxRycSHcq8BdcLlK5QDkw
 y7FVUWOpUjMyDA3F8NRN0BeEF1vh61FoKIKnaqKjBLqDDku3iBzuifQATtkU
 O2/3MotMwrx4EM4m1iwEtFI0FApPVUBfCJ47YPNmh0jYyBci8grwgVLqD5VS
 MWwRYIcx5l/HO05nAY8BD2c5VuPmZVrfXRiKTzjR0aBj1OGbW5GvLoYPAc3R
 nodunObM/WgxqiwQTuu4sa3XpaklEhn2j9Xrgbfw7+5jJNVhLgtYCTQFbHXf
 xkbbuacwnNYh7figpnGrkra+8CHgbfyLyEHA6hk1hZu67BlNxZbKV2bSg16F
 63H7NNtq7pYbPMHgbzht+Mk6LoEY+Acc21r+1mLXXV6UHvgj/Zol20Q6BiIx
 8G/iX0378P+fYPUFTeGGLjVjWaGtCm0zqc0q13BzXsDeeE6qjIhKRSKRQCbw
 EPCAbanlr/9uhruqeDQt8Pv7Xe7ZYUz3sLePy5WD9gTbcRIDYZnafFYVL53u
 qGJr8otRbcCjfEqG/e4Fr0qEGIljJBW2ABqAVUqpFS9/I+A+VTKa1nn+s/4A
 97UYc2HU2x31/C+Ak1wpfUAH4A1FJLf5nCpdnO+oWTESEzhonhthRlaG/cse
 ryoK/HzMQYkEbgUefLjMmfU3sXrlJOB39Ll8+zPP9AbH1Gw6U4CPyaXoxHok
 YnLXn6f0zjxH3ZBGJO4IRPgy7NiHh0wI2I1fdBhDoBCY+Zt+qZmZod3bsyfO
 0V9ddLh/r2cGQiZlwWkCideegp7krr8gpb89RavKSdbEaxc1a7u8IYGPgU/w
 ozmGQDegBLz3z0n1zAzt3p6Zerd4r9flwf1eeCRiPsW/AqYL/goSYSPZ63uY
 OS/HsW8cJxKv9Wqe6fCGjH/lfA+fhEkmYIDj+Bcm7/0LSSSibX1fBqsOhUNB
 z7wXBb8eOHcV4BNJnABCEZHIhl6puik7YN9ijS2gvdaveeZMHHzsyhmewC4u
 8CCwzlJq8NUaLbIAkfnIG7UBcSwriP+B+i7+tvs/layorWbHsoJvlAVEahCp
 Rl6dqcVSahBYF8XkJg9O9SHzSIzERakucR1374jm6WPhUETkPWATft5f8WW8
 Bgnj7+2WEVHv9puq4gzX3huy+H73FZ4PTWgpSeKRwN8Ch7m+nk+WeCSic/Ux
 gedjMlFZJcTlfDsdNXIQP++vh+eTZRg/qrG1GAL2AFuYwPOT1UZjOnn4X8B+
 rrypXW/RQC4+kUtcPub9/5T/BrABrSeKYE3qAAAAAElFTkSuQmCC

Package: xchat-locale-extra
Architecture: any
Depends: xchat (=  ${Source-Version})
Provides: xchat-locale-be, xchat-locale-ca, xchat-locale-cs, xchat-locale-de, xchat-locale-el, xchat-locale-es, xchat-locale-fi, xchat-locale-fr, xchat-locale-gl, xchat-locale-hu, xchat-locale-it, xchat-locale-ja, xchat-locale-ko, xchat-locale-lt, xchat-locale-mk, xchat-locale-nl, xchat-locale-pa, xchat-locale-pt, xchat-locale-ru, xchat-locale-sq, xchat-locale-sr, xchat-locale-sv, xchat-locale-uk, xchat-locale-vi, xchat-locale-zh-cn, xchat-locale-zh-tw
Replaces: xchat-locale-be, xchat-locale-ca, xchat-locale-cs, xchat-locale-de, xchat-locale-el, xchat-locale-es, xchat-locale-fi, xchat-locale-fr, xchat-locale-gl, xchat-locale-hu, xchat-locale-it, xchat-locale-ja, xchat-locale-ko, xchat-locale-lt, xchat-locale-mk, xchat-locale-nl, xchat-locale-pa, xchat-locale-pt, xchat-locale-ru, xchat-locale-sq, xchat-locale-sr, xchat-locale-sv, xchat-locale-uk, xchat-locale-vi, xchat-locale-zh-cn, xchat-locale-zh-tw
Description: More locales for XChat
 Installs the Belarusian, Catalan, Czech, German, Greek, Spanish
 Finnish, French, Galego, Hungarian, Italian, Japanese, Korean
 Lithuanian, Macedonian, Dutch, Punjabi, Portuguese, Russian
 Albanian, Serbian, Swedish, Ukrainian, Vietnamese,
 Chinese (Simplified) and Chinese (Taiwan) locales.
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=38927
XB-Maemo-Display-Name: XChat Extra Locales

=== debian/rules ===
--- 
+++ 
@@ -53,9 +53,10 @@
 
 build-stamp:  config.status
 	dh_testdir
-
-	# Add here commands to compile the package.
+	# Build the main XChat package
 	$(MAKE)
+	# Build the Maemo specific plugins
+	$(MAKE) -C $(CURDIR)/maemo
 
 	touch $@
 
@@ -66,6 +67,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
+	-$(MAKE) -C $(CURDIR)/maemo clean
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
 endif
@@ -84,13 +86,14 @@
 
 	# Add here commands to install the package into debian/xchat.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp -C $(CURDIR)/maemo install
 
 	# Install osso-backup file
 	install -d $(CURDIR)/debian/tmp/etc/osso-backup/applications/
 	install -m644 $(CURDIR)/maemo/xchat.conf \
 		$(CURDIR)/debian/tmp/etc/osso-backup/applications/xchat.conf
 
-	# Move XChat binary to /opt/maemo	
+	# Move XChat binariy to /opt/maemo
 	install -D $(CURDIR)/debian/tmp/usr/bin/xchat $(CURDIR)/debian/tmp/opt/maemo/usr/bin/xchat
 	rm -f $(CURDIR)/debian/tmp/usr/bin/xchat
 	ln -s ../../opt/maemo/usr/bin/xchat $(CURDIR)/debian/tmp/usr/bin/xchat

## xchat 2.8.6-maemo16

=== maemo/Makefile ===
OBJECTS	= xchat_notify.so
PACKAGES= mce dbus-1 dbus-glib-1 glib-2.0 gobject-2.0
LIBS	= `pkg-config $(PACKAGES) --libs`
INCDIRS	= `pkg-config $(PACKAGES) --cflags` -I ../src/common
CFLAGS	= -std=gnu99 -O2 -Wall $(INCDIRS) $(LIBS)

all:	$(OBJECTS)

clean:
	rm -f $(OBJECTS)

install:
	install -D -m644 xchat_notify.so $(DESTDIR)/usr/lib/xchat/plugins/xchat_notify.so

xchat_notify.so: xchat_notify.c
	gcc $(CFLAGS) -Wl,--export-dynamic -shared -fPIC -o $@ $^

=== debian/changelog ===
xchat (2.8.6-maemo16) stable; urgency=low

  * Disabled notifications by dialogs in Maemo notification plugin, by default.
  * Only LED notification from Maemo notification plugin is enabled.
  * Enabled notifications by pop-up bubbles, by default.

 -- Marat Fayzullin <marat@komkon.org>  Sat, 24 Apr 2010 11:08:22 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: extra
 Maintainer: Marat Fayzullin <marat@komkon.org>
 XSBC-Original-Maintainer: Faheem Pervez <trippin1@gmail.com>, Marius Gedminas <marius@gedmin.as>, Alberto García Hierro <skyhusker@rm-fr.net>
-XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=38927
 Build-Depends: debhelper (>= 5), libssl-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libconic0-dev, libdbus-1-dev, libdbus-glib-1-dev, python2.5-dev, python2.5, libgtk2.0-dev, autotools-dev, maemo-launcher-dev (>= 0.23-1), mce-dev
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	# Add here commands to configure the package.
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
+		--datadir=\$${prefix}/share \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" \
 		pythonpath="$(pythonpath)" \
@@ -93,7 +94,7 @@
 	install -m644 $(CURDIR)/maemo/xchat.conf \
 		$(CURDIR)/debian/tmp/etc/osso-backup/applications/xchat.conf
 
-	# Move XChat binariy to /opt/maemo
+	# Move XChat binary to /opt/maemo
 	install -D $(CURDIR)/debian/tmp/usr/bin/xchat $(CURDIR)/debian/tmp/opt/maemo/usr/bin/xchat
 	rm -f $(CURDIR)/debian/tmp/usr/bin/xchat
 	ln -s ../../opt/maemo/usr/bin/xchat $(CURDIR)/debian/tmp/usr/bin/xchat

## xchat 2.8.6-maemo18

=== debian/changelog ===
xchat (2.8.6-maemo18) stable; urgency=low

  * Fixed notification icons, with MohammadAG's help.

 -- Marat Fayzullin <marat@komkon.org>  Sun, 14 Nov 2010 11:08:22 -0500

xchat (2.8.6-maemo17) stable; urgency=low

  * Fixed DCC save-file dialog to show the right directory.

 -- Marat Fayzullin <marat@komkon.org>  Sat, 10 Jul 2010 11:08:22 -0500
